## org.codehaus.plexus.collections
Class DefaultActiveMap

    java.lang.Object
      org.codehaus.plexus.collections.AbstractActiveMap
          org.codehaus.plexus.collections.DefaultActiveMap

All Implemented Interfaces:
  java.util.Map, ActiveCollection, ActiveMap, org.codehaus.plexus.logging.LogEnabled, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

    public class DefaultActiveMap

extends AbstractActiveMap
implements ActiveMap, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable, org.codehaus.plexus.logging.LogEnabled

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from interface org.codehaus.plexus.collections.ActiveMap
`ROLE`

Constructor Summary
`DefaultActiveMap()`
`DefaultActiveMap(org.codehaus.plexus.PlexusContainer container, java.lang.Class role)`
`DefaultActiveMap(org.codehaus.plexus.PlexusContainer container, java.lang.String role)`

Method Summary
`boolean` `checkedContainsKey(java.lang.Object key)` Same as `Map.containsKey(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`boolean` `checkedContainsValue(java.lang.Object value)` Same as `Map.containsValue(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.util.Set` `checkedEntrySet()` Same as `Map.entrySet()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`java.lang.Object` `checkedGet(java.lang.Object key)` Same as `Map.get(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`boolean` `checkedIsEmpty()` Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.
`java.util.Set` `checkedKeySet()` Same as `Map#keySet(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`int` `checkedSize()` Same semantics as `Collection.size()` or `Map.size()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.
`java.util.Collection` `checkedValues()` Same as `Map#values(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.
`boolean` `containsKey(java.lang.Object key)`
`boolean` `containsValue(java.lang.Object value)`
`java.util.Set` `entrySet()`
`java.lang.Object` `get(java.lang.Object key)`
`boolean` `isEmpty()` Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`.
`java.util.Set` `keySet()`
`int` `size()` Same semantics as `Collection.size()` or `Map.size()`.
`java.util.Collection` `values()`

Methods inherited from class org.codehaus.plexus.collections.AbstractActiveMap
`checkedGetMap, clear, contextualize, enableLogging, getLogger, getMap, getRole, put, putAll, remove, setRole`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.plexus.collections.ActiveCollection
`getRole`

Methods inherited from interface java.util.Map
`clear, equals, hashCode, put, putAll, remove`

Methods inherited from interface org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable
`contextualize`

Methods inherited from interface org.codehaus.plexus.logging.LogEnabled
`enableLogging`

Constructor Detail

### DefaultActiveMap

    public DefaultActiveMap()

### DefaultActiveMap

    public DefaultActiveMap(org.codehaus.plexus.PlexusContainer container,
                            java.lang.Class role)

### DefaultActiveMap

    public DefaultActiveMap(org.codehaus.plexus.PlexusContainer container,
                            java.lang.String role)

Method Detail

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object value)

  Specified by:
    `containsValue` in interface `java.util.Map`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map`

### isEmpty

    public boolean isEmpty()

  Description copied from interface: `ActiveCollection`
  Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`.

  Specified by:
    `isEmpty` in interface `java.util.Map`
  Specified by:
    `isEmpty` in interface `ActiveCollection`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`

### size

    public int size()

  Description copied from interface: `ActiveCollection`
  Same semantics as `Collection.size()` or `Map.size()`.

  Specified by:
    `size` in interface `java.util.Map`
  Specified by:
    `size` in interface `ActiveCollection`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`

### checkedContainsKey

    public boolean checkedContainsKey(java.lang.Object key)
                               throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveMap`
  Same as `Map.containsKey(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedContainsKey` in interface `ActiveMap`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedContainsValue

    public boolean checkedContainsValue(java.lang.Object value)
                                 throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveMap`
  Same as `Map.containsValue(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedContainsValue` in interface `ActiveMap`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedEntrySet

    public java.util.Set checkedEntrySet()
                                  throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveMap`
  Same as `Map.entrySet()`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedEntrySet` in interface `ActiveMap`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedGet

    public java.lang.Object checkedGet(java.lang.Object key)
                                throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveMap`
  Same as `Map.get(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedGet` in interface `ActiveMap`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedIsEmpty

    public boolean checkedIsEmpty()
                           throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveCollection`
  Same semantics as `Collection.isEmpty()` or `Map.isEmpty()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.

  Specified by:
    `checkedIsEmpty` in interface `ActiveCollection`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException`

### checkedKeySet

    public java.util.Set checkedKeySet()
                                throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveMap`
  Same as `Map#keySet(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedKeySet` in interface `ActiveMap`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

### checkedSize

    public int checkedSize()
                    throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveCollection`
  Same semantics as `Collection.size()` or `Map.size()`, except this method will throw a `ComponentLookupException` if one or more of the elements collected here fails during lookup.

  Specified by:
    `checkedSize` in interface `ActiveCollection`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException`

### checkedValues

    public java.util.Collection checkedValues()
                                       throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Description copied from interface: `ActiveMap`
  Same as `Map#values(Object)`, except this method will throw a `ComponentLookupException` if one or more elements in the set fail during lookup.

  Specified by:
    `checkedValues` in interface `ActiveMap`
  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException` - if one or more elements of the set fail during lookup.

Copyright © 2011. All Rights Reserved.